 <%-- 
%(C) COPYRIGHT International Business Machines Corp. 2012, All Rights Reserved
%US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 --%>
<%@ page language="java" contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" %>
<%!
public static Cookie getCookieByName(String cookieName, Cookie[] cookies)
{
    Cookie result = null;
    if (cookies != null)
    {
        for (Cookie cookie : cookies)
        {
            //System.out.println("Processing cookie: " + cookie.getName());
            if (cookie.getName().equals(cookieName))
            {
                //System.out.println("Found cookie with name: " + cookieName);
                result = cookie;
                break;
            }
        }
    }
    return result;
}
public static void addCookie(
        HttpServletRequest request, HttpServletResponse response, String cookieName, String value)
{
    Cookie cookie = new Cookie(cookieName, value);
    cookie.setPath(request.getContextPath());
    cookie.setHttpOnly(true);
    response.addCookie(cookie);
}
public static void removeCookie(HttpServletResponse response, Cookie cookie)
{
    Cookie clone = new Cookie(cookie.getName(), "");
    clone.setMaxAge(0);
    // The Path and HttpOnly are hardcoded values from WebSphere defaults. If we don't lock down the
    // WebSphere installation, we need to figure out how to get these values from the container
    // otherwise, we will be unable to delete the cookie and the process will fall apart in certain situations.
    clone.setPath("/");
    clone.setHttpOnly(true);
    response.addCookie(clone);
}
%>
<%
Cookie destinationCookie = getCookieByName("WASReqURL", request.getCookies());
if (destinationCookie != null)
{
    String targetUrl = destinationCookie.getValue();
    String contextRoot = request.getContextPath();
    int idx = targetUrl.indexOf(contextRoot);
    if (idx == -1)
    {
        // close open/redirect hole
        targetUrl = null;
    }
    else
    {
        targetUrl = targetUrl.substring(idx);
    }
    addCookie(request, response, "targetUrl", targetUrl);
    removeCookie(response, destinationCookie);
}
String targetApp = request.getParameter("targetApp");
if (targetApp == null)
{
    targetApp = "SSM";
}
addCookie(request, response, "targetApp", targetApp);
String url = "/emptoris/sso_login.jsp";
if ("true".equals(request.getParameter("error")))
{
    url += "?error=true";
}
response.setHeader("Pragma", "no-cache");
response.setHeader("Cache-Control", "private, no-cache, no-store");
response.setDateHeader("Expires", 0);
//System.err.println("      LOGIN ====================targetApp: " + targetApp);
%>
<html>
<head>
<meta http-equiv="refresh" content="0; url=<%= url %>">
</head>
</html>
